HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::DataSetIException Class Reference

`#include <H5Exception.h>`

Inheritance diagram for H5::DataSetIException:

List of all members.

## Public Member Functions
| DataSetIException (const H5std_string &func_name, const H5std_string &message=DEFAULT_MSG)
| Creates a DataSetIException with the name of the function, in which the failure occurs, and an optional detailed message.
| DataSetIException ()
| Default constructor.
virtual | ~DataSetIException ()
| Noop destructor.

## Detailed Description

Examples:

  chunks.cpp, compound.cpp, create.cpp, extend_ds.cpp, h5group.cpp, readdata.cpp, and writedata.cpp.

## Constructor & Destructor Documentation

H5::DataSetIException::DataSetIException | ( | const H5std_string & | func_name,
|  | const H5std_string & | message = `DEFAULT_MSG` |
| ) |  |  |

Creates a DataSetIException with the name of the function, in which the failure occurs, and an optional detailed message.

Parameters:

  | func_name | - IN: Name of the function where failure occurs
  | message | - IN: Message on the failure

H5::DataSetIException::DataSetIException | ( |  | ) |

Default constructor.

H5::DataSetIException::~DataSetIException | ( |  | ) | `[virtual]`

Noop destructor.